com.corticon.eclipse.core

## Interface IPreferencesDelegate

-     public interface IPreferencesDelegate

  Interface IPreferencesDelegate is a platform-neutral interface that allows model APIs and/or client programs to retrieve and update preferences. In an Eclipse setting, preferences are stored in the Workspace metadata.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBoolean(java.lang.String astrKey)` Return the value of the specified preference key.
    `double` | `getDouble(java.lang.String astrKey)` Return the value of the specified preference key.
    `float` | `getFloat(java.lang.String astrKey)` Return the value of the specified preference key.
    `int` | `getInt(java.lang.String astrKey)` Return the value of the specified preference key.
    `long` | `getLong(java.lang.String astrKey)` Return the value of the specified preference key.
    `java.lang.String` | `getString(java.lang.String astrKey)` Return the value of the specified preference key.
    `void` | `setBoolean(java.lang.String astrKey, boolean abValue)` Set the value of the specified preference key.
    `void` | `setDouble(java.lang.String astrKey, double adValue)` Set the value of the specified preference key.
    `void` | `setFloat(java.lang.String astrKey, float afValue)` Set the value of the specified preference key.
    `void` | `setInt(java.lang.String astrKey, int aiValue)` Set the value of the specified preference key.
    `void` | `setLong(java.lang.String astrKey, long alValue)` Set the value of the specified preference key.
    `void` | `setString(java.lang.String astrKey, java.lang.String astrValue)` Set the value of the specified preference key.

- - ### Method Detail

    - #### getString

          java.lang.String getString(java.lang.String astrKey)

      Return the value of the specified preference key.
      Parameters:
        `astrKey` - Preference key.
      Returns:
        Preference value (String).

    - #### getBoolean

          boolean getBoolean(java.lang.String astrKey)

      Return the value of the specified preference key.
      Parameters:
        `astrKey` - Preference key.
      Returns:
        Preference value (boolean).

    - #### getInt

          int getInt(java.lang.String astrKey)

      Return the value of the specified preference key.
      Parameters:
        `astrKey` - Preference key.
      Returns:
        Preference value (int).

    - #### getLong

          long getLong(java.lang.String astrKey)

      Return the value of the specified preference key.
      Parameters:
        `astrKey` - Preference key.
      Returns:
        Preference value (long).

    - #### getDouble

          double getDouble(java.lang.String astrKey)

      Return the value of the specified preference key.
      Parameters:
        `astrKey` - Preference key.
      Returns:
        Preference value (double).

    - #### getFloat

          float getFloat(java.lang.String astrKey)

      Return the value of the specified preference key.
      Parameters:
        `astrKey` - Preference key.
      Returns:
        Preference value (float).

    - #### setString

          void setString(java.lang.String astrKey,
                       java.lang.String astrValue)

      Set the value of the specified preference key.
      Parameters:
        `astrKey` - Preference key.
        `astrValue` - Preference value.

    - #### setBoolean

          void setBoolean(java.lang.String astrKey,
                        boolean abValue)

      Set the value of the specified preference key.
      Parameters:
        `astrKey` - Preference key.
        `abValue` - Preference value.

    - #### setInt

          void setInt(java.lang.String astrKey,
                    int aiValue)

      Set the value of the specified preference key.
      Parameters:
        `astrKey` - Preference key.
        `aiValue` - Preference value.

    - #### setLong

          void setLong(java.lang.String astrKey,
                     long alValue)

      Set the value of the specified preference key.
      Parameters:
        `astrKey` - Preference key.
        `alValue` - Preference value.

    - #### setDouble

          void setDouble(java.lang.String astrKey,
                       double adValue)

      Set the value of the specified preference key.
      Parameters:
        `astrKey` - Preference key.
        `adValue` - Preference value.

    - #### setFloat

          void setFloat(java.lang.String astrKey,
                      float afValue)

      Set the value of the specified preference key.
      Parameters:
        `astrKey` - Preference key.
        `afValue` - Preference value.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.